## ms-sys 0.0.20140105

=== Makefile ===
# Generic GNU Makefile with Native Language Support
# written by Henrik Carlqvist
# 
# Possible targets are:
# make                    normal compile
# make all                normal compile, the same as above
# make install            installs compiled files
# make uninstall          removes installed files
# make clean              removes compiled files
# make mrproper           removes compiled files and dependencies
# make debug              compiles with flag -g for debuggers
# make messages           creates po/messages.po as a skeleton for NLS
#
# Contributors: Henrik Carlqvist
#               Alon Bar-Lev

# Name of program, compiled executable file
PACKAGE = ms-sys

# Add anything extra you might need when comipiling below
# Example: EXTRA_CFLAGS = -D MY_DEFINE=1

# The row below is a workaround for systems which lack libintl.h
EXTRA_CFLAGS = -idirafter include-fallback -D_FILE_OFFSET_BITS=64 

# Add anything extra you might need when linking below
# Example: EXTRA_LDFLAGS = -lm
EXTRA_LDFLAGS =

# Paths

# Installation path
PREFIX ?= /usr/local
BINDIR = $(PREFIX)/bin
LOCALEDIR = $(PREFIX)/share/locale
MANDIR = $(PREFIX)/man

# Where your .c-files live
SRC = src
# Where your .h-files live
INC = inc
# Where .d-files will be created for dependencies
DEP = dep
# Where any .po-files live for native language support, eg sv_SE.po or de_DE.po
# A skeleton .po-file could be created by "make messages"
PO  = po
# Where your man-pages live
MAN = man
# Where .mo-files will be created
MO  = mo
# Where .o-files will be created
OBJ = obj
# Where your program will be created before installation
BIN = bin

# There is no need to change anything below this line
#***********************************************************************

# Used for Native Language Support, do not change!
MESSDIR = LC_MESSAGES

INCDIRS = $(INC)

CC ?= gcc
INCLUDES = $(INCDIRS:%=-I %)
CFLAGS ?= -O2
ifeq ($(MAKECMDGOALS),debug)
CFLAGS ?= -g
endif
CFLAGS += -ansi -pedantic -Wall -c $(INCLUDES) \
         -D PACKAGE=\"$(PACKAGE)\" -D LOCALEDIR=\"$(LOCALEDIR)\" \
          $(EXTRA_CFLAGS)
LDFLAGS += $(EXTRA_LDFLAGS)


SRC_FILES = $(wildcard $(SRC)/*.c)
INC_FILES = $(wildcard $(INC)/*.h)

MESSAGES = $(PO)/messages.po

MAN_SRC = $(wildcard $(MAN)/*.*)

PO_FILES = $(filter-out $(MESSAGES),$(wildcard $(PO)/*.po))
MO_FILES = $(PO_FILES:$(PO)/%.po=$(MO)/%.mo)
LANGUAGES ?= $(PO_FILES:$(PO)/%.po=%)
NLS_FILES = $(LANGUAGES:%=$(DESTDIR)$(LOCALEDIR)/%/$(MESSDIR)/$(PACKAGE).mo)
MAN_FILES = $(foreach FILE, $(MAN_SRC), \
              $(DESTDIR)$(MANDIR)/man$(subst .,,$(suffix $(FILE)))/$(FILE:$(MAN)/%=%))

FILES = $(SRC_FILES:$(SRC)/%.c=%)

OBJS = $(FILES:%=$(OBJ)/%.o)
DEPS = $(FILES:%=$(DEP)/%.d)

all debug: $(BIN)/$(PACKAGE) $(MO_FILES)

install: $(DESTDIR)$(BINDIR)/$(PACKAGE) $(NLS_FILES) $(MAN_FILES)

uninstall:
	$(RM) $(DESTDIR)$(BINDIR)/$(PACKAGE) $(NLS_FILES) $(MAN_FILES)

messages: $(MESSAGES)

mrproper: clean
	$(RM) $(DEP)/*.d
	$(RM) $(OS_CHECK)

clean:
	$(RM) $(MESSAGES)
	$(RM) $(MO)/*.mo
	$(RM) $(OBJ)/*.o
	$(RM) $(LIB)/*.a
	$(RM) $(filter-out $(BIN)/CVS,$(wildcard $(BIN)/*))

$(DESTDIR)$(BINDIR)/%: $(BIN)/%
	install -D -m 755 $^ $@

$(DESTDIR)$(LOCALEDIR)/%/$(MESSDIR)/$(PACKAGE).mo: $(MO)/%.mo
	mkdir -p $(DESTDIR)$(LOCALEDIR)/$*/$(MESSDIR)
	install -D -m 644 $^ $@

$(DESTDIR)$(MANDIR)/%: $(MAN)/$(*F)
	install -D -m 644 $(MAN)/$(*F) $@

$(BIN)/%: $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

$(MESSAGES): $(SRC_FILES) $(INC_FILES)
	xgettext -k_ -o$@ $^

$(OBJS): $(OBJ)/%.o: $(SRC)/%.c $(DEP)/%.d \
                      $(filter-out $(wildcard $(OBJ)), $(OBJ)) \
                      $(filter-out $(wildcard $(BIN)), $(BIN))
	$(CC) $(CFLAGS) -o $@ $<

$(MO_FILES): $(MO)/%.mo: $(PO)/%.po $(filter-out $(wildcard $(MO)), $(MO))
	msgfmt -o $@ $<

$(DEPS): $(DEP)/%.d: $(SRC)/%.c $(filter-out $(wildcard $(DEP)), $(DEP))
ifeq ($(MAKECMDGOALS),quiet)
	@$(CC) -MM $(CFLAGS) -MT $@ $< > $@
else
	$(CC) -MM $(CFLAGS) -MT $@ $< > $@
endif

ifneq ($(MAKECMDGOALS),mrproper)
ifneq ($(wildcard $(DEPS)),)
include $(wildcard $(DEPS))
endif
endif

# Create directories which might be lost from CVS
$(DEP) $(OBJ) $(BIN) $(MO):
	mkdir -p $@

# Used to force some rules to always be compiled
FORCE: ;

=== debian/changelog ===
ms-sys (0.0.20140105-0~rzr20140503) saucy; urgency=medium

  * wip: http://rzr.online.fr/q/snapshot#ms-sys

 -- Philippe Coval <rzr@gna.org>  Sat, 03 May 2014 13:30:32 +0200

ms-sys (0.0.20140503-0~rzr) saucy; urgency=medium

  * WIP: http://rzr.online.fr/q/snapshot#ms-sys

 -- Philippe Coval <rzr@gna.org>  Sat, 03 May 2014 13:30:32 +0200

ms-sys (0.0.0-0) UNRELEASED; urgency=medium

  * TODO: remove on release

 -- Philippe Coval <rzr@gna.org>  Sat, 03 May 2014 13:30:32 +0200

ms-sys (0.0.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Philippe Coval <rzr@gna.org>  Sat, 03 May 2014 13:30:25 +0200

=== debian/control ===
Source: ms-sys
Section: utils
Priority: optional
Maintainer: Philippe Coval <rzr@gna.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.4
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://git.debian.org/collab-maint/ms-sys.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/ms-sys.git;a=summary

Package: ms-sys
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: ms-sys-snapshot
Architecture: all
Section: sound
Depends: ms-sys (= ${source:Version}), ${misc:Depends}
Suggests: rzr
Priority: extra
Description: unreleased snapshot version
 TODO: Remove on issue and upgrade ms-sys
 http://rzr.online.fr/q/snapshot#ms-sys Feedback welcome

## ms-sys 1.1.3

=== Makefile ===
# Generic GNU Makefile with Native Language Support
# written by Henrik Carlqvist
# Possible targets are:
# make                    normal compile
# make all                normal compile, the same as above
# make install            installs compiled files
# make uninstall          removes installed files
# make clean              removes compiled files
# make mrproper           removes compiled files and dependencies
# make debug              compiles with flag -g for debuggers
# make messages           creates po/messages.po as a skeleton for NLS

# Name of program, compiled executable file
PACKAGE = ms-sys

# Add anything extra you might need when comipiling below
# Example: EXTRA_CFLAGS = -D MY_DEFINE=1

# The row below is a workaround for systems which lack libintl.h
EXTRA_CFLAGS = -idirafter include-fallback

# Add anything extra you might need when linking below
# Example: EXTRA_LDFLAGS = -lm
EXTRA_LDFLAGS =

# Paths

# Installation path
PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
LOCALEDIR = $(PREFIX)/share/locale
MANDIR = $(PREFIX)/man

# Where your .c-files live
SRC = src
# Where your .h-files live
INC = inc
# Where .d-files will be created for dependencies
DEP = dep
# Where any .po-files live for native language support, eg sv_SE.po or de_DE.po
# A skeleton .po-file could be created by "make messages"
PO  = po
# Where your man-pages live
MAN = man
# Where .mo-files will be created
MO  = mo
# Where .o-files will be created
OBJ = obj
# Where your program will be created before installation
BIN = bin

# There is no need to change anything below this line
#***********************************************************************

# Used for Native Language Support, do not change!
MESSDIR = LC_MESSAGES

INCDIRS = $(INC)

CC = gcc
INCLUDES = $(INCDIRS:%=-I %)
CFLAGS = -O2 -ansi -pedantic -Wall -c $(INCLUDES) \
         -D PACKAGE=\"$(PACKAGE)\" -D LOCALEDIR=\"$(LOCALEDIR)\" \
          $(EXTRA_CFLAGS)
ifeq ($(MAKECMDGOALS),debug)
CFLAGS = -g -ansi -pedantic -Wall -c $(INCLUDES) \
         -D PACKAGE=\"$(PACKAGE)\" -D LOCALEDIR=\"$(LOCALEDIR)\" \
          $(EXTRA_CFLAGS)
endif
LDFLAGS = $(EXTRA_LDFLAGS)


SRC_FILES = $(wildcard $(SRC)/*.c)
INC_FILES = $(wildcard $(INC)/*.h)

MESSAGES = $(PO)/messages.po

MAN_SRC = $(wildcard $(MAN)/*.*)

PO_FILES = $(filter-out $(MESSAGES),$(wildcard $(PO)/*.po))
MO_FILES = $(PO_FILES:$(PO)/%.po=$(MO)/%.mo)
LANGUAGES = $(PO_FILES:$(PO)/%.po=%)
NLS_FILES = $(LANGUAGES:%=$(LOCALEDIR)/%/$(MESSDIR)/$(PACKAGE).mo)
MAN_FILES = $(foreach FILE, $(MAN_SRC), \
              $(MANDIR)/man$(subst .,,$(suffix $(FILE)))/$(FILE:$(MAN)/%=%))

FILES = $(SRC_FILES:$(SRC)/%.c=%)

OBJS = $(FILES:%=$(OBJ)/%.o)
DEPS = $(FILES:%=$(DEP)/%.d)

all debug: $(BIN)/$(PACKAGE) $(MO_FILES)

install: $(BINDIR)/$(PACKAGE) $(NLS_FILES) $(MAN_FILES)

uninstall:
	$(RM) $(BINDIR)/$(PACKAGE) $(NLS_FILES) $(MAN_FILES)

messages: $(MESSAGES)

mrproper: clean
	$(RM) $(DEP)/*.d
	$(RM) $(OS_CHECK)

clean:
	$(RM) $(MESSAGES)
	$(RM) $(MO)/*.mo
	$(RM) $(OBJ)/*.o
	$(RM) $(LIB)/*.a
	$(RM) $(filter-out $(BIN)/CVS,$(wildcard $(BIN)/*))

$(BINDIR)/%: $(BIN)/%
	install -m 755 $^ $@

$(LOCALEDIR)/%/$(MESSDIR)/$(PACKAGE).mo: $(MO)/%.mo
	mkdir -p $(LOCALEDIR)/$*/$(MESSDIR)
	install -m 644 $^ $@

$(MANDIR)/%: $(MAN)/$(*F)
	install -m 644 $(MAN)/$(*F) $@

$(BIN)/%: $(OBJS) 
	$(CC) -o $@ $^ $(LDFLAGS)

$(MESSAGES): $(SRC_FILES) $(INC_FILES)
	xgettext -k_ -o$@ $^

$(OBJS): $(OBJ)/%.o: $(SRC)/%.c $(DEP)/%.d
	$(CC) $(CFLAGS) -o $@ $<

$(MO_FILES): $(MO)/%.mo: $(PO)/%.po
	msgfmt -o $@ $<

$(DEPS): $(DEP)/%.d: $(SRC)/%.c
ifeq ($(MAKECMDGOALS),quiet)
	@if((printf "$@ $(OBJ)/";$(CC) -MM $(CFLAGS)  $< )> $@); then true; \
	else rm $@; false; fi
else
	if((printf "$@ $(OBJ)/";$(CC) -MM $(CFLAGS)  $< )> $@); then true; \
	else rm $@; false; fi
endif

ifneq ($(MAKECMDGOALS),mrproper)
ifneq ($(wildcard $(DEPS)),)
include $(wildcard $(DEPS))
endif
endif

# Used to force some rules to always be compiled
FORCE: ;

## ms-sys 2.1.0

=== Makefile ===
--- 
+++ 
@@ -110,14 +110,14 @@
 	$(RM) $(filter-out $(BIN)/CVS,$(wildcard $(BIN)/*))
 
 $(BINDIR)/%: $(BIN)/%
-	install -m 755 $^ $@
+	install -D -m 755 $^ $@
 
 $(LOCALEDIR)/%/$(MESSDIR)/$(PACKAGE).mo: $(MO)/%.mo
 	mkdir -p $(LOCALEDIR)/$*/$(MESSDIR)
-	install -m 644 $^ $@
+	install -D -m 644 $^ $@
 
 $(MANDIR)/%: $(MAN)/$(*F)
-	install -m 644 $(MAN)/$(*F) $@
+	install -D -m 644 $(MAN)/$(*F) $@
 
 $(BIN)/%: $(OBJS) 
 	$(CC) -o $@ $^ $(LDFLAGS)
